const chatHistory = document.getElementById('chat-history');
const userInput = document.getElementById('user-input');
const sendBtn = document.getElementById('send-btn');

const gaulleResponses = [
  "La France ne peut être la France sans la grandeur.",
  "Je vous ai compris, mais l'Histoire est un long fleuve qui ne se détourne pas facilement.",
  "La politique de la France ne se fait pas à la corbeille.",
  "Le patriotisme, c'est aimer son pays. Le nationalisme, c'est détester celui des autres.",
  "La difficulté attire l'homme de caractère, car c'est en l'étreignant qu'il se réalise lui-même.",
  "On ne fait rien de grand sans de grands hommes, et ceux-ci le sont pour l'avoir voulu.",
  "La France a perdu une bataille, mais la France n'a pas perdu la guerre.",
  "Toute ma vie, je me suis fait une certaine idée de la France."
];

function addMessage(text, isUser) {
  const messageDiv = document.createElement('div');
  messageDiv.classList.add('message');
  messageDiv.classList.add(isUser ? 'user-message' : 'gaulle-message');
  messageDiv.textContent = text;
  chatHistory.appendChild(messageDiv);
  chatHistory.scrollTop = chatHistory.scrollHeight;
}

function getGaulleResponse() {
  const randomIndex = Math.floor(Math.random() * gaulleResponses.length);
  return gaulleResponses[randomIndex];
}

sendBtn.addEventListener('click', () => {
  const question = userInput.value.trim();
  if (question) {
    addMessage(question, true);
    userInput.value = '';
    
    setTimeout(() => {
      const response = getGaulleResponse();
      addMessage(response, false);
    }, 1000);
  }
});

userInput.addEventListener('keypress', (e) => {
  if (e.key === 'Enter' && !e.shiftKey) {
    e.preventDefault();
    sendBtn.click();
  }
});